PropertyConsumer (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap
Interface PropertyConsumer

All Known Subinterfaces:
  CoordInfoFormatter, LocationHandler, PlugIn, SymbolImageMaker

All Known Implementing Classes:
  AbstractEventPresenter, AbstractGCT, AbstractGraphicLoader, AbstractImageFormatter, AbstractLocationHandler, AbstractMouseMode, AbstractOpenMapMenu, AbstractPlugIn, AcmeGifFormatter, AmpLinkLayer, AOILayer, AreaHandler, AreaShapeLayer, ASRPLayer, BasicCoordInfoFormatter, BasicLayer, BasicLayerConfigurationListener, BasicLocationHandler, BasicMapPanel, BasicProjectionLoader, BasicSymbolImageMaker, BeanContextAbstractPlugIn, BeanPanel, BoundsTestLayer, BufferedImageRenderPolicy, BufferedLayer, BufferedLinkLayer, BufferedShapeLayer, CacheLayer, CADRGLoader, CartesianLoader, Clock, ColorGeneratorLoader, CombinedCoordPanel, ComboBoxPropertyEditor, ControlMenu, CoordInfoFormatterHandler, CoordMouseMode, CSVEventImporter, CSVLinkHandler, CSVLocationHandler, CSVTiledImagePlugIn, DateLayer, DatumShiftGCT, DayNightLayer, DbfHandler, DbfHandler.DbfRule, DbfTableModelFactory, DBLocationHandler, DebugMapTileFactory, DefaultHelpMenu, DefaultOverviewMouseMode, DemoLayer, DistanceMouseMode, DistQuickTool, DistQuickTool.MouseMode, DMSCoordInfoFormatter, DockMapPanel, DrawingAttributes, DrawingAttributesPropertyEditor, DrawingEditorTool, DrawingToolLayer, DrawLinkLayer, DTEDCoverageLayer, DTEDCoverageManager, DTEDDirectoryHandler, DTEDFrameCache, DTEDFrameCache, DTEDFrameCacheHandler, DTEDFrameCacheLayer, DTEDLayer, DynamicWmsRequestHandler, E00Layer, EarthImagePlugIn, EarthquakeLayer, EditorLayer, EditorLayerMouseMode, ElevationBandGeneratorLoader, EmbeddedNavPanel, EmbeddedScaleDisplayPanel, EsriLayer, EsriPlugIn, ETOPOJarLayer, ETOPOLayer, EventLayer, EventListCellRenderer, EventListIconPackage, EventListPresenter, EventPanel, FeatureDrawingAttributes, FileMenu, FullProjectionRenderPolicy, GeneratorLoader, GeoCrossDemoLayer, GeoIntersectionLayer, GeoTestLayer, GIFImageIOFormatter, GIFSymbolImageMaker, GnomonicLoader, GoogleMapTileFactory, GoToMenu, GraphicAttributes, GraphicLoaderConnector, GraphicLoaderPlugIn, GraticuleLayer, HelloWorldLayer, HintsMapBeanRepaintPolicy, HotwashPanel, HotwashTimerControlButtonPanel, ImageIOFormatter, ImageServer, ImageTileLayer, IndexRule, InformationDelegator, InteractionLayer, LabelLayer, LambertConformalGCT, LambertConformalLoader, Layer, LayerAddPanel, LayerControlButtonPanel, LayerHandler, LayersMenu, LayersPanel, LibraryBean, LinkLayer, LLXYLoader, LocationLayer, LOSGraphicLoader, MagicPlanetImageComponent, MapBeanKeyListener, MapRequestHandler, MapRule, MapTileLayer, MapTileMaker, MapTileMakerComponent, MapTileUtilLayer, MenuList, MercatorLoader, MercatorMeterGCT, MercatorUVGCT, MercatorUVGCT.OSM, MercatorUVGCT.TMS, MGRSCoordInfoFormatter, MIFLayer, MiniBrowser, MMLGraphicLoader, MouseModeButtonPanel, MouseModeMenu, MouseModePanel, MultiGCT, MultiRoadLayer, MultiShapeLayer, MysqlGeometryLayer, NavigateMenu, NavigatePanel, NavMouseMode, NavMouseMode2, NetMapConnectionHandler, NetMapConnector, NetMapGraphicLoader, NexradLayer, NullMouseMode, OMBasicMenu, OMComponent, OMComponentPanel, OMControlPanel, OMDrawingTool, OMDrawingToolLauncher, OMDrawingToolMouseMode, OMEventHandlerAdapter, OMEventSelectionCoordinator, OMGraphicDeleteTool, OMGraphicHandlerLayer, OMGraphicHandlerPlugIn, OMMouseMode, OMToolComponent, OMToolSet, OpenMapFrame, OptionPropertyEditor, OrthographicLoader, OverlayMapPanel, OverviewMapAreaLayer, OverviewMapHandler, PanMouseMode, PanningImageRenderPolicy, PlotLayer, PlugInLayer, PNG32ImageFormatter, PNG8ImageFormatter, PNGImageIOFormatter, PNGSymbolImageMaker, PPMFormatter, ProjectionFactory, ProjectionMenu, ProjectionResponseLayer, ProjectionStack, ProjectionStackTool, ProjMapBeanKeyListener, PropertyConsumerPropertyEditor, RangeRingsMouseMode, RenderingHintsRenderPolicy, RotTool, RpfCoverage, RpfLayer, RpfViewAttributes, Rule, RuleHandler, SaveAsMenu, ScaleDisplayLayer, ScaleFilterLayer, ScaleTextPanel, SelectMouseMode, ServerMapTileFactory, ShapeLayer, SHISPlugIn, ShpFileEmptyTileHandler, SimpleAnimationLayer, SimpleBeanLayer, SimpleEmptyTileHandler, SinkLayer, SlopeGeneratorLoader, SpatialIndexHandler, StandardMapBeanRepaintPolicy, StandardMapTileFactory, StandardRenderPolicy, StatusLightPanel, SunJPEGFormatter, SymbolReferenceLibrary, TerrainLayer, TestEventHandler, TestLayer, TileMillMapTileFactory, TimelineLayer, TimelinePanel, TimePanel, TimerControlButtonPanel, TimerLocationLayer, TimerRateComboBox, TimerRateHolder, TimeSliderLayer, TimeSliderPanel, TimeSliderPanel.TimeSliderMouseMode, ToolPanel, UndoStack, UTMGCT, UTMGridPlugIn, UTMProjectionLoader, VPFAutoFeatureGraphicWarehouse, VPFFeatureLayer, VPFLayer, VPFRoadLayer, WebImagePlugIn, WholeWorldTileHandler, WMSPlugIn, WmsRequestHandler, ZoomLevelInfo, ZoomLevelMaker, ZoomLevelMakerFace, ZoomMouseMode, ZoomPanel

    public interface PropertyConsumer

A PropertyConsumer is an interface defining an object that is configured by a Properties object, containing property keys and values that is expected by it.

Field Summary
`static java.lang.String` | `EditorProperty` Keyword for PropertyEditor class from PropertyInfo Property object (editor).
`static java.lang.String` | `initPropertiesProperty` Key in the associated propertyInfo object.
`static java.lang.String` | `LabelEditorProperty` Scoped keyword for PropertyEditor class from PropertyInfo Property object, to scope the label for the property as displayed in the Inspector (label).
`static java.lang.String` | `ScopedEditorProperty` Scoped keyword for PropertyEditor class from PropertyInfo Property object, same as EditorProperty with a period in front (.editor).

Method Summary
`java.util.Properties` | `getProperties(java.util.Properties getList)` Method to fill in a Properties object, reflecting the current values of the PropertyConsumer.
`java.util.Properties` | `getPropertyInfo(java.util.Properties list)` Method to fill in a Properties object with values reflecting the properties able to be set on this PropertyConsumer.
`java.lang.String` | `getPropertyPrefix()` Get the property key prefix that is being used to prepend to the property keys for Properties lookups.
`void` | `setProperties(java.util.Properties setList)` Method to set the properties in the PropertyConsumer.
`void` | `setProperties(java.lang.String prefix, java.util.Properties setList)` Method to set the properties in the PropertyConsumer.
`void` | `setPropertyPrefix(java.lang.String prefix)` Set the property key prefix that should be used by the PropertyConsumer.

Field Detail

### initPropertiesProperty

    static final java.lang.String initPropertiesProperty

  Key in the associated propertyInfo object. Holds a list of property names, which should be displayed and editable when configuring a PropertyConsumer object interactively. List is space separated and the order is the order in which the properties will appear (initProperties).

  See Also:
    Constant Field Values

### EditorProperty

    static final java.lang.String EditorProperty

  Keyword for PropertyEditor class from PropertyInfo Property object (editor).

  See Also:
    Constant Field Values

### ScopedEditorProperty

    static final java.lang.String ScopedEditorProperty

  Scoped keyword for PropertyEditor class from PropertyInfo Property object, same as EditorProperty with a period in front (.editor).

  See Also:
    Constant Field Values

### LabelEditorProperty

    static final java.lang.String LabelEditorProperty

  Scoped keyword for PropertyEditor class from PropertyInfo Property object, to scope the label for the property as displayed in the Inspector (label).

  See Also:
    Constant Field Values

Method Detail

### setProperties

    void setProperties(java.util.Properties setList)

  Method to set the properties in the PropertyConsumer. It is assumed that the properties do not have a prefix associated with them, or that the prefix has already been set.

  Parameters:
    `setList` - a properties object that the PropertyConsumer can use to retrieve expected properties it can use for configuration.

### setProperties

    void setProperties(java.lang.String prefix,
                       java.util.Properties setList)

  Method to set the properties in the PropertyConsumer. The prefix is a string that should be prepended to each property key (in addition to a separating '.') in order for the PropertyConsumer to uniquely identify properties meant for it, in the midst of of Properties meant for several objects.

  Parameters:
    `prefix` - a String used by the PropertyConsumer to prepend to each property value it wants to look up - setList.getProperty(prefix.propertyKey). If the prefix had already been set, then the prefix passed in should replace that previous value.
    `setList` - a Properties object that the PropertyConsumer can use to retrieve expected properties it can use for configuration.

### getProperties

    java.util.Properties getProperties(java.util.Properties getList)

  Method to fill in a Properties object, reflecting the current values of the PropertyConsumer. If the PropertyConsumer has a prefix set, the property keys should have that prefix plus a separating '.' prepended to each property key it uses for configuration.

  Parameters:
    `getList` - a Properties object to load the PropertyConsumer properties into. If getList equals null, then a new Properties object should be created.
  Returns:
    Properties object containing PropertyConsumer property values. If getList was not null, this should equal getList. Otherwise, it should be the Properties object created by the PropertyConsumer.

### getPropertyInfo

    java.util.Properties getPropertyInfo(java.util.Properties list)

  Method to fill in a Properties object with values reflecting the properties able to be set on this PropertyConsumer. The key for each property should be the raw property name (without a prefix) with a value that is a String that describes what the property key represents, along with any other information about the property that would be helpful (range, default value, etc.).

  Parameters:
    `list` - a Properties object to load the PropertyConsumer properties into. If getList equals null, then a new Properties object should be created.
  Returns:
    Properties object containing PropertyConsumer property values. If getList was not null, this should equal getList. Otherwise, it should be the Properties object created by the PropertyConsumer.

### setPropertyPrefix

    void setPropertyPrefix(java.lang.String prefix)

  Set the property key prefix that should be used by the PropertyConsumer. The prefix, along with a '.', should be prepended to the property keys known by the PropertyConsumer.

  Parameters:
    `prefix` - the prefix String.

### getPropertyPrefix

    java.lang.String getPropertyPrefix()

  Get the property key prefix that is being used to prepend to the property keys for Properties lookups.

  Returns:
    the prefix string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details